cordova.define("com.jiedaibao.hybridopenurl.HybridOpenUrl", function (require, exports, module) {
  var exec = require('cordova/exec');
  var getParams = function (url) {
      var paramsStr = '';
      if (url.indexOf('?') != -1) {
          paramsStr = url.slice(url.indexOf('?') + 1);
      }
      var obj = {};
      if (paramsStr.length <= 0) {
          return obj;
      }
      var arr = paramsStr.split('&');
      var arr2;
      for (var i = 0; i < arr.length; i++) {
          arr2 = arr[i].split('=');
          if (arr2.length === 2) {
              obj[arr2[0]] = arr2[1];
          }
      }
      return obj;
  }
  var encodeZn = function (url) {
      var newUrl = '';
      var needEncodeStr = '<>"{}|\^`#\~[] ';
      for (var i=0;i<url.length;i++) {
          if (url[i].charCodeAt() > 255 || needEncodeStr.indexOf(url[i]) !== -1) {
              newUrl += encodeURI(url[i]);
          } else {
              newUrl += url[i];
          }
      }
      return newUrl;
  }
  module.exports = {
    hybridOpenUrl: function (url, successCallback, errorCallback) {
      url = encodeZn(url);
      var options = {
        type: "get",
        data: {}
      };
      var params = getParams(url);
      if (params['hybridUrlMethod'] === 'post') {
        options['type'] = 'post';
      }
      options = JSON.stringify(options);
      exec(
        successCallback,
        errorCallback,
        'HybridOpenUrl',
        'hybridOpenUrl', [{
          "url": url,
          "options": options
        }]
      );
    },
    newHybridOpenUrl: function (url, successCallback, errorCallback) {
      url = encodeZn(url);
      var options = {
        type: "get",
        data: {}
      };
      var params = getParams(url);
      if (params['hybridUrlMethod'] === 'post') {
        options['type'] = 'post';
      }
      options = JSON.stringify(options);
      exec(
        successCallback,
        errorCallback,
        'HybridOpenUrl',
        'hybridOpenUrl', [{
          "url": url,
          "options": options
        }]
      );
    },
    hybridOpenUrlCoco: function (url, options, successCallback, errorCallback) {
      url = encodeZn(url);
      exec(
        successCallback,
        errorCallback,
        'HybridOpenUrl',
        'hybridOpenUrl', [{
          "url": url,
          "options": options
        }]
      );
    }
  }
});