cordova.define("com.jiedaibao.nativeshare.NativeShare", function (require, exports, module) {
  var exec = require('cordova/exec');
  module.exports = {
    nativeShare: function (shareItem, channelType, successCallback, errorCallback) {
      exec(
        successCallback,
        errorCallback,
        'NativeShare',
        'nativeShare',
        [{
          "shareItem": shareItem,
          "channelType": channelType,
        }]
      );
    },
    dismissNativeShare: function (successCallback, errorCallback) {
      exec(
        successCallback,
        errorCallback,
        'NativeShare',
        'dismissNativeShare',
        []
      );
    }
  }
}
);
//shareItem是一个json串，格式
//{
//    "shareTitle": shareTitle,           分享标题
//    "shareText": shareText,             分享摘要
//    "sharePageUrl": sharePageUrl,       跳转url
//    "shareImageUrl": shareImageUrl,     分享图片URL
//}